Subject: bug#38492: 27.0.50; Warn pdumper users when pure space has been overflowed

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 06 Dec 2019 17:37:49 +0100

Eli Zaretskii <[email-masked]> writes:

> I'm not sure we should care about overflowing the pure space in
> pdumped Emacs.  Why does it matter?  It mattered in unexec'ed Emacs,
> that's why we warned about it.  Maybe the right solution is to remove
> the warning from startup.el instead.

Sorry for the false alarm then.  I took the startup warning at face
value; I didn't see anything in (elisp)Pure Storage suggesting that the
portable dumper invalidated it.

Had I tried to run garbage-collect manually, I would have noticed that
the return value was non-nil, suggesting that GC wasn't disabled…